Subject: bug in IRIX tftpd?

From: "David S. Miller" <[email-masked]>
Date: Wed, 14 Aug 1996 15:58:39 -0700

Wonder if someone can help me fix this problem:

Seems that the IRIX tftpd daemon will not respond correctly to
requests in binary more. I can reproduce the problem at will and it
happens every time.

I can do the transfer just fine using ascii mode, but any attempt to
use binary mode fails.  What is funny is that TFTPD places a syslog
entry that says:

Aug 14 15:57:13 6D:tanya tftpd[1373]: sandra.engr.sgi.com: read request for /tftpboot/96A64B0F.SUN4C: success

Yet tftpd does not send one packet back.  It does not matter what
machine I try to do this tftp transfer from.  ASCII mode always works,
binary mode always fails.

[email-masked]

'Ooohh.. "FreeBSD is faster over loopback, when compared to
Linux over the wire". Film at 11.' -Linus